jQuery( function($) {

    var ccpaEnabledState = jQuery('input[name="ccpa_enabled_field"]:checked').val();
    function changeMessage( $event = false ) {
        var message = '';
        var toggler = jQuery('input[type="radio"][name="consent_type_field"]:checked');
        var consentType = toggler.val();
        var ccpaSettingsEnabled = false;
        var gdprEnabled = true;
        var toggleTarget = toggler.attr('data-ecc-toggle-target');

        jQuery('.wt-ecc-section-gdpr-ccpa .wt-ecc-section-inner').hide();
        jQuery('.wt-ecc-toggle-content').hide();

        if (consentType == 'ccpa') {
            message = jQuery('#wt_ci_ccpa_only').val();
            ccpaSettingsEnabled = true;
            gdprEnabled = false;
        }
        else if ( consentType == 'ccpa_gdpr') {
            message = jQuery('#wt_ci_ccpa_gdpr').val();
            jQuery('.wt-ecc-section-gdpr-ccpa .wt-ecc-section-inner').show();
            ccpaSettingsEnabled = true;
        } 
        else { 
            message = jQuery('#wt_ci_gdpr_only').val(); 
            ccpaSettingsEnabled = false;
        }
        jQuery('textarea[name="notify_message_field"]').val( message );
        jQuery('.wt-ecc-section-gdpr-ccpa .wt-ecc-section-inner-'+consentType).show();
        if( ccpaSettingsEnabled === false ) {
            jQuery('.wt-ecc-ccpa-element').hide();
            jQuery('input[name=ccpa_enabled_field]').prop("checked",false);
        }
        else {
            jQuery('.wt-ecc-ccpa-element').show();
            jQuery('input[name="ccpa_enabled_field"][value="'+ccpaEnabledState+'"]').prop('checked', true);
            if( $event === true ) {
                jQuery('input[name="ccpa_enabled_field"]').prop("checked",true);
            }
            
        }
        jQuery('.wt-ecc-toggle-content[data-ecc-toggle-id="'+toggleTarget+'"]').show();
    }
    changeMessage();
    jQuery('input[type="radio"][name="consent_type_field"]').change(function() {
        changeMessage(true);
    });

});