<?php
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
    die;
}
?>
<style>
    .vvv_textbox{
        height: 150px;
        width:100%;
    }
    #wpbody-content .notice {
        margin: 5px 20px 15px 0;
    }
    .notice, div.updated, div.error{
        margin: 5px 20px 15px 0;
    }
</style>
<script type="text/javascript">
    var ecc_success_message='<?php echo __('Settings updated.', 'evdpl-cookie-consent');?>';
    var ecc_error_message='<?php echo __('Unable to update Settings.', 'evdpl-cookie-consent');?>';
</script>   
<div class="wrap">
    <div class="evdpl-cookie-consent-form-container">
        <div class="ecc-plugin-toolbar top">
            <h3><?php echo __('Necessary Cookie Settings','evdpl-cookie-consent'); ?></h3>
        </div>
        <form method="post" action="<?php echo esc_url($_SERVER["REQUEST_URI"]); ?>" id="ecc_ncessary_form" class="cookie-sensitivity-form">
            <?php wp_nonce_field('evdplcookieinfo-update-necessary'); ?> 
            <table class="form-table ecc_necessary_form ecc-admin-table">
                <tr>
                    <td>
                        <label for="wt_ecc_necessary_title"><?php _e('Title', 'evdpl-cookie-consent'); ?></label>
                        <input type="text" id="wt_ecc_necessary_title" name="wt_ecc_necessary_title" value="<?php echo esc_attr(stripslashes( $settings['title'] )); ?>" class="ecc-textbox" />
                    </td>
                </tr>
                <tr>
                    <td>
                       <label for="necessary_description"><?php echo __('Description','evdpl-cookie-consent');?></label>
                        <textarea name="necessary_description" class="vvv_textbox"><?php
                        echo apply_filters('format_to_edit', wp_kses_post(stripslashes($settings['description'])));
                        ?></textarea>
                    </td>
                </tr>
                
            </table>
            <div class="ecc-plugin-toolbar bottom">
                <div class="left">
                </div>
                <div class="right">
                    <input type="hidden" name="ecc_necessary_ajax_update" value="1">
                    <input type="submit" name="update_admin_settings_form" value="<?php _e('Update Settings', 'evdpl-cookie-consent'); ?>" class="button-primary" style="float:right;" onClick="return ecc_store_settings_btn_click(this.name)" />
                    <span class="spinner" style="margin-top:9px"></span>
                </div>
            </div>
        </form>
    </div>
</div>