<?php
// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

?>
<style>
    .vvv_textbox{
        height: 150px;
        width: 80%;
    }
    .ecc-textbox{
        width: 100%;
        height: 35px;
        margin-bottom: 5px;
    }
    .notice, div.updated, div.error{
        margin: 5px 20px 15px 0;
    }
</style>
<div class="wrap">

    <div class="evdpl-cookie-consent-form-container">
        <div class="ecc-plugin-toolbar top">
            <h3><?php _e('Privacy Overview', 'evdpl-cookie-consent'); ?></h3>
        </div>
        <form method="post" action="<?php echo esc_url($_SERVER["REQUEST_URI"]); ?>">
            <?php wp_nonce_field('evdplcookieinfo-update-privacy-overview-content'); ?>
            <table class="form-table ecc_privacy_overview_form" >
                <tr valign="top">
                    <td>
                        <label for="privacy_overview_title"><?php _e('Title', 'evdpl-cookie-consent'); ?></label>
                        <input type="text" name="privacy_overview_title" value="<?php echo esc_attr(stripslashes($privacy_title)); ?>" class="ecc-textbox" />
                    </td>
                </tr>
                <tr valign="top">
                    <td>
                        <label for="privacy_overview_content"><?php _e('Privacy overview is displayed when the user clicks on ‘cookie settings’ from the cookie consent bar. Edit/ modify the title and content of ‘privacy overview’ from here.', 'evdpl-cookie-consent'); ?></label>
                        <?php
                        $ecc_use_editor = apply_filters('ecc_use_editor_in_po', true);
                        if ($ecc_use_editor) {
                            wp_editor(stripslashes($privacy_content), 'ecc_privacy_overview_content', $wpe_settings = array('textarea_name' => 'privacy_overview_content', 'textarea_rows' => 10));
                        } else {
                            ?>
                            <textarea style="width:100%; height:250px;" name="privacy_overview_content"><?php echo wp_kses_post(stripslashes($privacy_content)); ?></textarea>
                            <?php
                        }
                        ?>     
                        <div class="clearfix"></div>
                    </td>
                </tr>
            </table>
            <div class="ecc-plugin-toolbar bottom">
                <div class="left">
                </div>
                <div class="right">
                    <input type="submit" name="update_privacy_overview_content_settings_form" value="<?php _e('Save Settings', 'evdpl-cookie-consent'); ?>" style="float: right;" class="button-primary" />
                    <span class="spinner" style="margin-top:9px"></span>
                </div>
            </div>
        </form>
    </div>
</div>