<?php
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
    die;
}
?>
<div class="evdpl-cookie-consent-tab-content" data-id="<?php echo esc_attr( $target_id );?>">	        
	<ul class="ecc_sub_tab">
        <li style="border-left:none; padding-left: 0px;" data-target="shortcodes"><a><?php _e('Shortcodes', 'evdpl-cookie-consent'); ?></a></li>
    </ul>

    <div class="ecc_sub_tab_container">
        <div class="ecc_sub_tab_content" data-id="shortcodes" style="display:block;">
            <div style="font-size: 14px;">
        	<h3><?php _e('Cookie bar shortcodes', 'evdpl-cookie-consent'); ?></h3>
            <?php _e('You can insert the shortcodes in the Settings > Customise Cookie Bar > Cookie bar > Message to get it rendered on the cookie consent bar of your site.', 'evdpl-cookie-consent'); ?>
        	</div>
            <ul class="ecc-shortcodes">
            	<li>
            	<div style="font-weight: bold;">[cookie_button]</div>
            	<?php _e('This is the "main button" you customise above.', 'evdpl-cookie-consent'); ?>
            	</li>

            	<li><div style="font-weight: bold;">[cookie_reject]</div>
            		<?php _e('This is the cookie reject button shortcode.', 'evdpl-cookie-consent'); ?>
            	</li>
                <li>
                <div style="font-weight: bold;">[cookie_settings]</div>
                <?php _e('This is the cookie settings button rendering shortcode.', 'evdpl-cookie-consent'); ?>
                </li>
            	<li><div style="font-weight: bold;">[cookie_link]</div>
            		<?php _e('This is the "read more" link you customise above.', 'evdpl-cookie-consent'); ?>
            	</li>

                <li><div style="font-weight: bold;"><?php _e("Setup margin for above buttons");?></div>
                    Eg: [cookie_button margin="10px"]
<pre>
    margin: 5%;                 /* All sides: 5% margin */

    margin: 10px;               /* All sides: 10px margin */

    margin: 1.6em 20px;         /* top and bottom: 1.6em margin */
                                /* left and right: 20px margin  */

    margin: 10px 3% -1em;       /* top:            10px margin */
                                /* left and right: 3% margin   */
                                /* bottom:         -1em margin */

    margin: 10px 3px 30px 5px;  /* top:    10px margin */
                                /* right:  3px margin  */ 
                                /* bottom: 30px margin */
                                /* left:   5px margin  */

    margin: 2em auto;           /* top and bottom: 2em margin   */
                                /* Box is horizontally centered */

    margin: auto;               /* top and bottom: 0 margin     */
                                /* Box is horizontally centered */
</pre>
                </li>

            	</ul>
            	<div style="font-size: 14px;">
        	        <h3 style="margin-bottom:5px; margin-top:25px;"><?php _e('Other shortcodes', 'evdpl-cookie-consent'); ?></h3>
        	        <?php _e('These shortcodes can be used in pages and posts on your website. It is not recommended to use these inside the cookie bar itself.', 'evdpl-cookie-consent'); ?>
        	    </div>

        	    <ul class="ecc-shortcodes">
                    <li>
                        <div style="font-weight: bold;">[cookie_audit]</div>
                            <?php _e('This prints out a nice table of cookies, in line with the guidance given by the ICO.', 'evdpl-cookie-consent'); ?> <em><?php _e('You need to enter the cookies your website uses via the Cookie Law Info menu in your WordPress dashboard.', 'evdpl-cookie-consent'); ?></em>
                        <div style="font-weight: bold;">
                            [cookie_audit style="winter"] <br />
                            [cookie_audit not_shown_message="No records found"] <br />
                            [cookie_audit style="winter" not_shown_message="Not found"]<br />
                            [cookie_audit columns="cookie,description"] <br />
                            [cookie_audit heading="The below list details the cookies used in our website."]
                        </div>
                        <?php _e('Styles included','evdpl-cookie-consent'); ?>:	simple, classic, modern, rounded, elegant, winter. Default is classic.
                        <br />
                        <?php _e('Columns available','evdpl-cookie-consent'); ?>: cookie, description, type, duration.  <?php _e('Will print all columns by default.','evdpl-cookie-consent'); ?>
                    </li>
                    <li>
                        <div style="font-weight: bold;">[delete_cookies]</div>
                        <?php _e('This shortcode will display a normal HTML link which when clicked, will delete the cookie set by Cookie Law Info (this cookie is used to remember that the cookie bar is closed).', 'evdpl-cookie-consent'); ?>
                    </li>
                    <li>
                        <div style="font-weight: bold;">[delete_cookies text="Click here to delete"]</div>
                        <?php _e('Add any text you like- useful if you want e.g. another language to English.', 'evdpl-cookie-consent'); ?>
                    </li>
                    <li>
                        <div style="font-weight: bold;">[cookie_after_accept] Your content goes here... [/cookie_after_accept]</div>
                        <?php _e('Add content after accepting the cookie notice.', 'evdpl-cookie-consent'); ?>
                        You can use `do_shortcode` function to add shortcodes inside the template file.
                    </li>
                </ul>
        </div>
    </div>
</div>