<?php
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}
// Disable indexing of EvdplCookieinfo Cookie data
echo '<!--googleoff: all-->';

if ( $notify_html == '' ) {
	return; } //if filter is applied
echo $notify_html;
$pop_out               = '';
$pop_content_html_file = plugin_dir_path( ECC_PLUGIN_FILENAME ) . 'public/views/evdpl-cookie-consent_popup_content.php';
if ( file_exists( $pop_content_html_file ) ) {
	include $pop_content_html_file;
}
?>
<div class="ecc-modal" data-nosnippet="true" id="eccSettingsPopup" tabindex="-1" role="dialog" aria-labelledby="eccSettingsPopup" aria-hidden="true">
  <div class="ecc-modal-dialog" role="document">
	<div class="ecc-modal-content ecc-bar-popup">
	  	<button type="button" class="ecc-modal-close" id="eccModalClose">
			<svg class="" viewBox="0 0 24 24"><path d="M19 6.41l-1.41-1.41-5.59 5.59-5.59-5.59-1.41 1.41 5.59 5.59-5.59 5.59 1.41 1.41 5.59-5.59 5.59 5.59 1.41-1.41-5.59-5.59z"></path><path d="M0 0h24v24h-24z" fill="none"></path></svg>
			<span class="wt-ecc-sr-only"><?php echo __( 'Close', 'evdpl-cookie-consent' ); ?></span>
	  	</button>
	  	<div class="ecc-modal-body">
			<?php echo wp_kses_post($pop_out);?>
	  	</div>
	  	<div class="ecc-modal-footer">
			<div class="wt-ecc-element ecc-container-fluid ecc-tab-container">
				<div class="ecc-row">
					<div class="ecc-col-12 ecc-align-items-stretch ecc-px-0">
						<div class="ecc-tab-footer wt-ecc-privacy-overview-actions">						
							<?php if ( apply_filters( 'wt_ecc_enable_settings_accept_btn', true ) === true ) : ?>
								<a id="wt-ecc-privacy-save-btn" role="button" tabindex="0" data-ecc-action="accept" class="wt-ecc-privacy-btn ecc_setting_save_button wt-ecc-privacy-accept-btn ecc-btn"><?php echo __( 'SAVE & ACCEPT', 'evdpl-cookie-consent' ); ?></a>
							<?php endif; ?>
						</div>
						<?php if ( apply_filters( 'wt_ecc_enable_ckyes_branding', true ) === true ) : ?>
						<div class="wt-ecc-ckyes-footer-section">
							<div class="wt-ecc-ckyes-brand-logo"><?php echo __( 'Powered by', 'evdpl-cookie-consent' ); ?> <a href="https://evincedev.com/"><img src="<?php echo esc_url( ECC_PLUGIN_URL . 'public/images/evince-logo_small.png' ); ?>" alt="Evincedev Logo"></a></div>
						</div>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</div>
  </div>
</div>
<div class="ecc-modal-backdrop ecc-fade ecc-settings-overlay"></div>
<div class="ecc-modal-backdrop ecc-fade ecc-popupbar-overlay"></div>
<?php
// Re-enable indexing
echo '<!--googleon: all-->';
