<?php
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
    die;
}
?>
<div class="evdpl-cookie-consent-tab-content" data-id="<?php echo esc_attr( $target_id );?>">
    <h3><?php _e('Advanced','evdpl-cookie-consent'); ?></h3>
    <p><?php _e('Sometimes themes apply settings that clash with plugins. If that happens, try adjusting these settings.', 'evdpl-cookie-consent'); ?></p>

    <table class="form-table">
        <tr valign="top">
            <th scope="row"><?php _e('Reset settings', 'evdpl-cookie-consent'); ?></th>
            <td>
                <input type="submit" name="delete_all_settings" value="<?php _e('Delete settings and reset', 'evdpl-cookie-consent'); ?>" class="button-secondary" onclick="ecc_store_settings_btn_click(this.name); if(confirm('<?php _e('Are you sure you want to delete all your settings?', 'evdpl-cookie-consent'); ?>')){  }else{ return false;};" />
                <span class="ecc_form_help"><?php _e('Warning: Resets all your current settings to default.', 'evdpl-cookie-consent'); ?></span>
            </td>
        </tr>
    </table>
    <?php do_action('wt_ecc_after_advanced_settings'); ?>
    <?php 
        include "admin-settings-save-button.php";
    ?>
</div>