ECC_ACCEPT_COOKIE_NAME =(typeof ECC_ACCEPT_COOKIE_NAME !== 'undefined' ? ECC_ACCEPT_COOKIE_NAME : 'viewed_cookie_policy');
ECC_PREFERNCE_COOKIE =(typeof ECC_PREFERNCE_COOKIE !== 'undefined' ? ECC_PREFERNCE_COOKIE : 'EvdplCookieinfoConsent');
ECC_ACCEPT_COOKIE_EXPIRE =(typeof ECC_ACCEPT_COOKIE_EXPIRE !== 'undefined' ? ECC_ACCEPT_COOKIE_EXPIRE : 365);
ECC_COOKIEBAR_AS_POPUP=(typeof ECC_COOKIEBAR_AS_POPUP !== 'undefined' ? ECC_COOKIEBAR_AS_POPUP : false);
var ECC_Cookie={
	set: function (name, value, days) {
		var secure = "";
		if ( true === Boolean( Cli_Data.secure_cookies ) ) secure = ";secure";
        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
            var expires = "; expires=" + date.toGMTString();
        } else
            var expires = "";
        document.cookie = name + "=" + value + secure + expires + "; path=/";
        if(days<1)
        {
            host_name=window.location.hostname;
            document.cookie = name + "=" + value + expires + "; path=/; domain=."+host_name+";";
            if(host_name.indexOf("www")!=1)
			{  
			   var host_name_withoutwww=host_name.replace('www','');
			   document.cookie = name + "=" + value + secure + expires + "; path=/; domain="+host_name_withoutwww+";";
			}
            host_name=host_name.substring(host_name.lastIndexOf(".", host_name.lastIndexOf(".")-1));
            document.cookie = name + "=" + value + secure + expires + "; path=/; domain="+host_name+";";
        }
    },
    read: function (name) {
        var nameEQ = name + "=";
        var ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) == ' ') {
                c = c.substring(1, c.length);
            }
            if (c.indexOf(nameEQ) === 0) {
                return c.substring(nameEQ.length, c.length);
            }
        }
        return null;
    },
    erase: function (name) {
        this.set(name, "", -10);
    },
    exists: function (name) {
        return (this.read(name) !== null);
    },
    getallcookies:function() 
    {
	    var pairs = document.cookie.split(";");
	    var cookieslist = {};
	    for (var i = 0; i < pairs.length; i++) {
	        var pair = pairs[i].split("=");
	        cookieslist[(pair[0] + '').trim()] = unescape(pair[1]);
	    }
	    return cookieslist;
	}
}
var ECC=
{
	bar_config:{},
	showagain_config:{},
	allowedCategories:[],
	js_blocking_enabled: false,
	set:function(args)
	{
		if(typeof JSON.parse !== "function") 
		{
	        console.log("EvdplCookieinfo requires JSON.parse but your browser doesn't support it");
	        return;
		}
		if(typeof args.settings!=='object')
	    {
	    	this.settings = JSON.parse(args.settings);
		} 
		else
	    {
	    	this.settings = args.settings;
	    }
		this.js_blocking_enabled = Boolean( Cli_Data.js_blocking );
	    this.settings = args.settings;
	    this.bar_elm = jQuery(this.settings.notify_div_id);
	    this.showagain_elm = jQuery(this.settings.showagain_div_id);
		this.settingsModal = jQuery('#eccSettingsPopup');
		
        /* buttons */
        this.main_button=jQuery('.ecc-plugin-main-button');
        this.main_link = jQuery('.ecc-plugin-main-link');
        this.reject_link = jQuery('.cookie_action_close_header_reject');
		this.delete_link=jQuery(".evdplcookieinfo-cookie-delete");
		this.settings_button=jQuery('.ecc_settings_button');
		this.accept_all_button = jQuery('.wt-ecc-accept-all-btn');
        if(this.settings.cookie_bar_as=='popup')
    	{
    		ECC_COOKIEBAR_AS_POPUP=true;
		}
		this.mayBeSetPreferenceCookie();
        this.addStyleAttribute();
		this.configBar();
        this.toggleBar();
        this.attachDelete();
        this.attachEvents();
		this.configButtons();
		this.reviewConsent();
		var ecc_hidebar_on_readmore=this.hideBarInReadMoreLink();
        if( Boolean( this.settings.scroll_close ) ===true && ecc_hidebar_on_readmore===false) 
        {
        	window.addEventListener("scroll",ECC.closeOnScroll, false);
		}
		
	},
	hideBarInReadMoreLink:function()
	{
		if( Boolean( ECC.settings.button_2_hidebar ) === true && this.main_link.length>0 && this.main_link.hasClass('ecc-minimize-bar'))
		{
			this.hideHeader();
			eccBlocker.cookieBar( false );
			this.showagain_elm.slideDown(this.settings.animate_speed_show);
			return true;
		}
		return false;
	},
	attachEvents:function()
	{	
		jQuery(document).on('click','.wt-ecc-privacy-btn',function(e){
			e.preventDefault();
			ECC.accept_close();
			ECC.settingsPopUpClose();
		});

		jQuery('.ecc_action_button').on("click", function(e) {
			e.preventDefault();
			var elm=jQuery(this);
			var button_action=elm.attr('data-ecc_action');
			var open_link=elm[0].hasAttribute("href") && elm.attr("href") != '#' ? true : false;
			var new_window=false;
			if(button_action=='accept')
			{
				ECC.accept_close();
				new_window= Boolean( ECC.settings.button_1_new_win ) ? true : false;

			}
			else if( button_action == 'accept_all') {
				ECC.enableAllCookies();
				ECC.accept_close();
				new_window=ECC.settings.button_7_new_win ? true : false;
			}
			else if(button_action=='reject')
			{	
				ECC.disableAllCookies();
				ECC.reject_close();
				new_window= Boolean( ECC.settings.button_3_new_win ) ? true : false;
			}
			if(open_link)
			{
                if(new_window)
                {
                    window.open(elm.attr("href"),'_blank');
                }else
                {
                    window.location.href =elm.attr("href");
                }  
            }
		});
		this.settingsPopUp();
		this.settingsTabbedAccordion();
		this.toggleUserPreferenceCheckBox();
		this.hideCookieBarOnClose();
		this.evdplcookieinfoRunCallBacks();

	},
	toggleUserPreferenceCheckBox:function()
	{	
		
    	jQuery('.ecc-user-preference-checkbox').each(function(){

			categoryCookie = 'evdplcookieinfo-'+jQuery(this).attr('data-id');
			categoryCookieValue = ECC_Cookie.read(categoryCookie);
			if( categoryCookieValue == null )
			{
				if(jQuery(this).is(':checked'))
				{
					ECC_Cookie.set(categoryCookie,'yes',ECC_ACCEPT_COOKIE_EXPIRE);
				}else
				{
					ECC_Cookie.set(categoryCookie,'no',ECC_ACCEPT_COOKIE_EXPIRE);	
				}
			}
			else
			{	
				if(categoryCookieValue == "yes")
				{
					jQuery(this).prop("checked",true);
				}
				else
				{
					jQuery(this).prop("checked",false);
				}

			}
			
        });
    	jQuery('.ecc-user-preference-checkbox').on("click", function(e) {
			var dataID = jQuery(this).attr('data-id');
			var currentToggleElm = jQuery('.ecc-user-preference-checkbox[data-id='+dataID+']');
        	if(jQuery(this).is(':checked'))
        	{	
        		ECC_Cookie.set('evdplcookieinfo-'+dataID,'yes',ECC_ACCEPT_COOKIE_EXPIRE);
				currentToggleElm.prop('checked',true);
			}else
        	{
				ECC_Cookie.set('evdplcookieinfo-'+dataID,'no',ECC_ACCEPT_COOKIE_EXPIRE);	
				currentToggleElm.prop('checked',false);				
			}
			ECC.checkCategories();
			ECC.generateConsent();
		});
		
	},
	settingsPopUp:function()
	{	
		jQuery(document).on('click','.ecc_settings_button',function(e){
			e.preventDefault();
			ECC.settingsModal.addClass("ecc-show").css({'opacity':0}).animate({'opacity':1});
			ECC.settingsModal.removeClass('ecc-blowup ecc-out').addClass("ecc-blowup");
			jQuery('body').addClass("ecc-modal-open");
			jQuery(".ecc-settings-overlay").addClass("ecc-show");
			jQuery("#evdpl-cookie-consent-bar").css({'opacity':.1});
			if(!jQuery('.ecc-settings-mobile').is(':visible'))
			{
				ECC.settingsModal.find('.ecc-nav-link:eq(0)').trigger("click");
			}
	    });
		jQuery('#eccModalClose').on("click", function(e) {
			ECC.settingsPopUpClose();
		});
		ECC.settingsModal.on("click", function(e) {
			if(!(document.getElementsByClassName('ecc-modal-dialog')[0].contains(e.target)))
			{
				ECC.settingsPopUpClose();
			}
		});
		jQuery('.ecc_enable_all_btn').on("click", function(e) {
			var ecc_toggle_btn = jQuery(this);
			var enable_text = ecc_toggle_btn.attr('data-enable-text');
			var disable_text= ecc_toggle_btn.attr('data-disable-text');
			if(ecc_toggle_btn.hasClass('ecc-enabled')){
				ECC.disableAllCookies();
				ecc_toggle_btn.html(enable_text);
			}
			else
			{
				ECC.enableAllCookies();
				ecc_toggle_btn.html(disable_text);

			}
			jQuery(this).toggleClass('ecc-enabled');
		});
		
		this.privacyReadmore();
	},
	settingsTabbedAccordion:function()
	{
		jQuery(".ecc-tab-header").on("click", function(e) {
			if(!(jQuery(e.target).hasClass('ecc-slider') || jQuery(e.target).hasClass('ecc-user-preference-checkbox')))
			{
				if (jQuery(this).hasClass("ecc-tab-active")) {
					jQuery(this).removeClass("ecc-tab-active");
					jQuery(this)
					  .siblings(".ecc-tab-content")
					  .slideUp(200);

				  } else {
					jQuery(".ecc-tab-header").removeClass("ecc-tab-active");
					jQuery(this).addClass("ecc-tab-active");
					jQuery(".ecc-tab-content").slideUp(200);
					jQuery(this)
					  .siblings(".ecc-tab-content")
					  .slideDown(200);
				  }
			}	
		  });
	},
	settingsPopUpClose:function()
	{
		this.settingsModal.removeClass('ecc-show');
		this.settingsModal.addClass('ecc-out');
		jQuery('body').removeClass("ecc-modal-open");
        jQuery(".ecc-settings-overlay").removeClass("ecc-show");
        jQuery("#evdpl-cookie-consent-bar").css({'opacity':1});
	},
	privacyReadmore:function()
	{	
		var el= jQuery('.ecc-privacy-content .ecc-privacy-content-text');
		if( el.length > 0 ) {
			var clone= el.clone(),
			originalHtml= clone.html(),
			originalHeight= el.outerHeight(),
			Trunc = {
			addReadmore:function(textBlock)
			{	
				if(textBlock.html().length > 250)
				{
					jQuery('.ecc-privacy-readmore').show();
				}
				else
				{
					jQuery('.ecc-privacy-readmore').hide();
				}
			},
			truncateText : function( textBlock ) {   
				var strippedText = jQuery('<div />').html(textBlock.html()); 
				strippedText.find('table').remove();        
				textBlock.html(strippedText.html());
				currentText = textBlock.text();
				if(currentText.trim().length > 250){
					var newStr = currentText.substring(0, 250);
					textBlock.empty().html(newStr).append('...');
				}
			},     
			replaceText: function ( textBlock, original ){
				return textBlock.html(original);      
			}  
			
			};
			Trunc.addReadmore(el);
			Trunc.truncateText(el);
			jQuery('a.ecc-privacy-readmore').on("click", function(e) {
				e.preventDefault();
				if(jQuery('.ecc-privacy-overview').hasClass('ecc-collapsed'))
				{	
					Trunc.truncateText(el);
					jQuery('.ecc-privacy-overview').removeClass('ecc-collapsed');
					el.css('height', '100%');
				}
				else
				{
					jQuery('.ecc-privacy-overview').addClass('ecc-collapsed');
					Trunc.replaceText(el, originalHtml);
				}
				
				
			});
		}
		
	},
	attachDelete:function()
	{
		this.delete_link.on("click", function(e) {
	        ECC_Cookie.erase(ECC_ACCEPT_COOKIE_NAME);
	        for(var k in Cli_Data.nn_cookie_ids) 
	        {
	            ECC_Cookie.erase(Cli_Data.nn_cookie_ids[k]);
			}
			ECC.generateConsent();
	        return false;
		});
		
	},
	configButtons:function()
	{
	    /*[cookie_button] */
	    this.main_button.css('color',this.settings.button_1_link_colour);
	    if( Boolean( this.settings.button_1_as_button ) ) 
	    {	
	        this.main_button.css('background-color',this.settings.button_1_button_colour);
			
			this.main_button.on('mouseenter', function(){
				jQuery(this).css('background-color',ECC.settings.button_1_button_hover);
			})
			.on('mouseleave', function(){
				jQuery(this).css('background-color',ECC.settings.button_1_button_colour);
			});
	    }

	    /* [cookie_link] */    
	    this.main_link.css('color',this.settings.button_2_link_colour);
	    if( Boolean( this.settings.button_2_as_button ) ) 
	    {
			this.main_link.css('background-color',this.settings.button_2_button_colour);

			this.main_link.on('mouseenter', function(){
				jQuery(this).css('background-color',ECC.settings.button_2_button_hover);
			})
			.on('mouseleave', function(){
				jQuery(this).css('background-color',ECC.settings.button_2_button_colour);
			});
	        
	    }
	    /* [cookie_reject] */	    
		this.reject_link.css('color',this.settings.button_3_link_colour);
	    if( Boolean( this.settings.button_3_as_button ) ) 
	    {	
		
			this.reject_link.css('background-color',this.settings.button_3_button_colour);
			this.reject_link.on('mouseenter', function(){
				jQuery(this).css('background-color',ECC.settings.button_3_button_hover);
			})
			.on('mouseleave', function(){
				jQuery(this).css('background-color',ECC.settings.button_3_button_colour);
			});
		}
		/* [cookie_settings] */	    
	    this.settings_button.css('color',this.settings.button_4_link_colour);
	    if( Boolean( this.settings.button_4_as_button ) ) 
	    {
			this.settings_button.css('background-color',this.settings.button_4_button_colour);
			this.settings_button.on('mouseenter', function(){
				jQuery(this).css('background-color',ECC.settings.button_4_button_hover);
			})
			.on('mouseleave', function(){
				jQuery(this).css('background-color',ECC.settings.button_4_button_colour);
			});
	    }
		/* [cookie_accept_all] */
		this.accept_all_button.css('color',this.settings.button_7_link_colour);
		if(this.settings.button_7_as_button) 
		{
			this.accept_all_button.css('background-color',this.settings.button_7_button_colour);
			this.accept_all_button.on('mouseenter', function(){
				jQuery(this).css('background-color',ECC.settings.button_7_button_hover);
			})
			.on('mouseleave', function(){
				jQuery(this).css('background-color',ECC.settings.button_7_button_colour);
			});
		}
	},
	toggleBar:function()
	{
		if(ECC_COOKIEBAR_AS_POPUP)
		{
			this.barAsPopUp(1);
		}
		if(ECC.settings.cookie_bar_as=='widget')
		{
			this.barAsWidget(1);
		}
		if(!ECC_Cookie.exists(ECC_ACCEPT_COOKIE_NAME)) 
		{
	        this.displayHeader();
	    }else
	    {
	        this.hideHeader();
	    }
	    if( Boolean( this.settings.show_once_yn )) 
	    {
	        setTimeout(function(){
	        	ECC.close_header();
	        },ECC.settings.show_once);
		}
		if( ECC.js_blocking_enabled === false ) {
			if( Boolean( Cli_Data.ccpaEnabled ) === true ) {
				if( Cli_Data.ccpaType === 'ccpa' && Boolean( Cli_Data.ccpaBarEnabled ) === false ) {
					eccBlocker.cookieBar( false );
				}
			} else {
				jQuery('.wt-ecc-ccpa-opt-out,.wt-ecc-ccpa-checkbox,.wt-ecc-ccpa-element').remove();
			}
		} 
		
	    this.showagain_elm.on("click", function(e) {
	        e.preventDefault();
	        ECC.showagain_elm.slideUp(ECC.settings.animate_speed_hide,function() 
	        {
	            ECC.bar_elm.slideDown(ECC.settings.animate_speed_show);
	            if(ECC_COOKIEBAR_AS_POPUP)
				{
					ECC.showPopupOverlay();
				}
	        });
	    });
	},
	configShowAgain:function()
	{
		this.showagain_config = {
	        'background-color': this.settings.background,
	        'color':this.l1hs(this.settings.text),
	        'position': 'fixed',
	        'font-family': this.settings.font_family
	    };
	    if(Boolean( this.settings.border_on ) ) 
	    {
	        var border_to_hide = 'border-' + this.settings.notify_position_vertical;
	        this.showagain_config['border'] = '1px solid ' + this.l1hs(this.settings.border);
	        this.showagain_config[border_to_hide] = 'none';
	    }
	    var ecc_win=jQuery(window);
    	var ecc_winw=ecc_win.width();
    	var showagain_x_pos=this.settings.showagain_x_position;
    	if(ecc_winw<300)
    	{
    		showagain_x_pos=10;
    		this.showagain_config.width=ecc_winw-20;
    	}else
    	{
    		this.showagain_config.width='auto';
    	}
	    var ecc_defw=ecc_winw>400 ? 500 : ecc_winw-20;
	    if(ECC_COOKIEBAR_AS_POPUP) /* cookie bar as popup */
	    {
	    	var sa_pos=this.settings.popup_showagain_position;
	    	var sa_pos_arr=sa_pos.split('-');
	    	if(sa_pos_arr[1]=='left')
	    	{
	    		this.showagain_config.left=showagain_x_pos;
	    	}else if(sa_pos_arr[1]=='right')
	    	{	
	    		this.showagain_config.right=showagain_x_pos;
	    	}
	    	if(sa_pos_arr[0]=='top')
	    	{
	    		this.showagain_config.top=0;

	    	}else if(sa_pos_arr[0]=='bottom')
	    	{	
	    		this.showagain_config.bottom=0;
	    	}
	    	this.bar_config['position'] = 'fixed';

	    }else if(this.settings.cookie_bar_as=='widget')
	    {
	    	this.showagain_config.bottom=0;
	    	if(this.settings.widget_position=='left')
	    	{
	    		this.showagain_config.left=showagain_x_pos;
	    	}else if(this.settings.widget_position=='right')
	    	{	
	    		this.showagain_config.right=showagain_x_pos;
	    	}
	    }
	    else
	    {
	    	if(this.settings.notify_position_vertical == "top") 
		    {
		        this.showagain_config.top = '0';
		    }
		    else if(this.settings.notify_position_vertical == "bottom") 
		    {
		        this.bar_config['position'] = 'fixed';
		        this.bar_config['bottom'] = '0';
		        this.showagain_config.bottom = '0';
		    }
		    if(this.settings.notify_position_horizontal == "left") 
		    {
		        this.showagain_config.left =showagain_x_pos;
		    }else if(this.settings.notify_position_horizontal == "right") 
		    {
		        this.showagain_config.right =showagain_x_pos;
		    }
	    } 
	    this.showagain_elm.css(this.showagain_config);	    
	},
	configBar:function()
	{
		this.bar_config = {
	        'background-color':this.settings.background,
	        'color':this.settings.text,
	        'font-family':this.settings.font_family
	    };
	    if(this.settings.notify_position_vertical=="top") 
	    {
	        this.bar_config['top'] = '0';
	        if( Boolean( this.settings.header_fix ) === true) 
	        {
	            this.bar_config['position'] = 'fixed';
	        }
	    }else 
	    {
	        this.bar_config['bottom'] = '0';
	    }
	    this.configShowAgain();
	    this.bar_elm.css(this.bar_config).hide();
	},
	l1hs:function(str) 
	{
	    if (str.charAt(0) == "#") {
	        str = str.substring(1, str.length);
	    } else {
	        return "#" + str;
	    }
	    return this.l1hs(str);
	},
	close_header:function() 
	{
        ECC_Cookie.set(ECC_ACCEPT_COOKIE_NAME,'yes',ECC_ACCEPT_COOKIE_EXPIRE);
        this.hideHeader();
    },
	accept_close:function() 
    {        
		this.hidePopupOverlay();
		this.generateConsent();
		this.evdplcookieinfoRunCallBacks();

        ECC_Cookie.set(ECC_ACCEPT_COOKIE_NAME,'yes',ECC_ACCEPT_COOKIE_EXPIRE);
        if( Boolean( this.settings.notify_animate_hide ) ) 
        {	
			if( ECC.js_blocking_enabled === true ) {
				this.bar_elm.slideUp( this.settings.animate_speed_hide, eccBlocker.runScripts );
			} else {
				this.bar_elm.slideUp( this.settings.animate_speed_hide );
			}
           
        }else 
        {	
			if( ECC.js_blocking_enabled === true ) {
            	this.bar_elm.hide( 0, eccBlocker.runScripts );

			} else {
				this.bar_elm.hide();
			}
        }
        if( Boolean( this.settings.showagain_tab ) ) 
        {
        	this.showagain_elm.slideDown(this.settings.animate_speed_show);
		}
        if( Boolean( this.settings.accept_close_reload ) === true  ) 
        {
            this.reload_current_page();
        }
        return false;
    },
	reject_close:function() 
    {
		this.hidePopupOverlay();
		this.generateConsent();
		this.evdplcookieinfoRunCallBacks();
        for(var k in Cli_Data.nn_cookie_ids) 
        {
            ECC_Cookie.erase(Cli_Data.nn_cookie_ids[k]);
        }
		ECC_Cookie.set(ECC_ACCEPT_COOKIE_NAME,'no',ECC_ACCEPT_COOKIE_EXPIRE);
		
        if( Boolean( this.settings.notify_animate_hide ) ) 
        {	
			if( ECC.js_blocking_enabled === true ) {

				this.bar_elm.slideUp(this.settings.animate_speed_hide, eccBlocker.runScripts);

			} else {
				
				this.bar_elm.slideUp(this.settings.animate_speed_hide);
			}
            
        } else 
        {	
			if( ECC.js_blocking_enabled === true ) {

				this.bar_elm.hide( eccBlocker.runScripts );

			} else {

				this.bar_elm.hide();

			}
            
        }
        if( Boolean( this.settings.showagain_tab ) ) 
        {
        	this.showagain_elm.slideDown(this.settings.animate_speed_show);
        }
        if( Boolean( this.settings.reject_close_reload ) === true ) 
        {
            this.reload_current_page();
        }
        return false;
    },
    reload_current_page:function()
    {	
		
    	window.location.reload(true);
    },
	closeOnScroll:function() 
	{
        if(window.pageYOffset > 100 && !ECC_Cookie.read(ECC_ACCEPT_COOKIE_NAME)) 
        {
            ECC.accept_close();
            if( Boolean( ECC.settings.scroll_close_reload ) === true) 
            {
                window.location.reload();
            }
            window.removeEventListener("scroll",ECC.closeOnScroll,false);
        }
    },
    displayHeader:function() 
    {   
        if( Boolean( this.settings.notify_animate_show ) ) 
        {
            this.bar_elm.slideDown(this.settings.animate_speed_show);
        }else 
        {
            this.bar_elm.show();
        }
        this.showagain_elm.hide();
        if(ECC_COOKIEBAR_AS_POPUP)
		{
			this.showPopupOverlay();
		}    
    },
    hideHeader:function()
    {      
        if( Boolean( this.settings.showagain_tab ) ) 
        {
	        if( Boolean( this.settings.notify_animate_show ) ) 
	        {
	            this.showagain_elm.slideDown(this.settings.animate_speed_show);
	        } else {
	            this.showagain_elm.show();
	        }
    	}else
    	{
    		this.showagain_elm.hide();
    	}
        this.bar_elm.slideUp(this.settings.animate_speed_show);
        this.hidePopupOverlay();
    },
    hidePopupOverlay:function() 
    {
        jQuery('body').removeClass("ecc-barmodal-open");
        jQuery(".ecc-popupbar-overlay").removeClass("ecc-show");
    },
    showPopupOverlay:function()
    {	
		if( this.bar_elm.length ) {
			if( Boolean( this.settings.popup_overlay ) )
			{
				jQuery('body').addClass("ecc-barmodal-open");
				jQuery(".ecc-popupbar-overlay").addClass("ecc-show");
			}
		}
        
    },
    barAsWidget:function(a)
    {
		var ecc_elm=this.bar_elm;
		ecc_elm.attr('data-ecc-type','widget');
	    var ecc_win=jQuery(window);
	    var ecc_winh=ecc_win.height()-40;
	    var ecc_winw=ecc_win.width();
	    var ecc_defw=ecc_winw>400 ? 300 : ecc_winw-30;
	    ecc_elm.css({
	        'width':ecc_defw,'height':'auto','max-height':ecc_winh,'overflow':'auto','position':'fixed','box-sizing':'border-box'
		});
		if ( this.checkifStyleAttributeExist() === false ) {
			ecc_elm.css({'padding':'25px 15px'});
		}
	    if(this.settings.widget_position=='left')
	    {
	    	ecc_elm.css({
	        	'left':'15px','right':'auto','bottom':'15px','top':'auto'
	    	});
	    }else
	    {
	    	ecc_elm.css({
	        	'left':'auto','right':'15px','bottom':'15px','top':'auto'
	    	});
	    }
	    if(a)
	    {
	    	this.setResize();
		}
    },
    barAsPopUp:function(a)
    {    	
    	if(typeof evdpl_cookie_consent_bar_as_popup==='function')
    	{
    		return false;
    	}
		var ecc_elm=this.bar_elm;
		ecc_elm.attr('data-ecc-type','popup');
	    var ecc_win=jQuery(window);
	    var ecc_winh=ecc_win.height()-40;
	    var ecc_winw=ecc_win.width();
	    var ecc_defw=ecc_winw>700 ? 500 : ecc_winw-20;

	    ecc_elm.css({
	        'width':ecc_defw,'height':'auto','max-height':ecc_winh,'bottom':'','top':'50%','left':'50%','margin-left':(ecc_defw/2)*-1,'margin-top':'-100px','overflow':'auto'
		}).addClass('ecc-bar-popup ecc-modal-content');
		if ( this.checkifStyleAttributeExist() === false ) {
			ecc_elm.css({'padding':'25px 15px'});
		}
	    ecc_h=ecc_elm.height();
	    li_h=ecc_h<200 ? 200 : ecc_h;
	    ecc_elm.css({'top':'50%','margin-top':((ecc_h/2)+30)*-1});	    
	    setTimeout(function(){ 
		    ecc_elm.css({
		        'bottom':''
		    });
	     },100);
	    if(a)
	    {
	    	this.setResize();
		}
    },
    setResize:function()
	{
		var resizeTmr=null;
		jQuery(window).resize(function() {
			clearTimeout(resizeTmr);
			resizeTmr=setTimeout(function()
			{
				if(ECC_COOKIEBAR_AS_POPUP)
				{
					ECC.barAsPopUp();
				}
				if(ECC.settings.cookie_bar_as=='widget')
				{
					ECC.barAsWidget();
				}
				ECC.configShowAgain();
			},500);
		});
	},
	enableAllCookies:function()
    {	
		
    	jQuery('.ecc-user-preference-checkbox').each(function(){
			var ecc_chkbox_elm=jQuery(this);
			var ecc_chkbox_data_id=ecc_chkbox_elm.attr('data-id');
			if(ecc_chkbox_data_id!='checkbox-necessary')
			{
				ecc_chkbox_elm.prop('checked',true);
				ECC_Cookie.set('evdplcookieinfo-'+ecc_chkbox_data_id,'yes',ECC_ACCEPT_COOKIE_EXPIRE);
			}
		});
	},
	disableAllCookies:function()
    {	
    	jQuery('.ecc-user-preference-checkbox').each(function(){

			var ecc_chkbox_elm=jQuery(this);
			var ecc_chkbox_data_id=ecc_chkbox_elm.attr('data-id');
			eccCategorySlug = ecc_chkbox_data_id.replace('checkbox-','');			
			if(Cli_Data.strictlyEnabled.indexOf(eccCategorySlug) === -1)
			{
				ecc_chkbox_elm.prop('checked',false);
				ECC_Cookie.set('evdplcookieinfo-'+ecc_chkbox_data_id,'no',ECC_ACCEPT_COOKIE_EXPIRE);
			}
		});
	},
	hideCookieBarOnClose: function() {
		jQuery(document).on('click','.ecc_cookie_close_button',function(e){
			e.preventDefault();
			var elm=jQuery(this);
			var button_action = elm.attr('data-ecc_action');
			if( Cli_Data.ccpaType === 'ccpa' )
			{	
				ECC.enableAllCookies();
			}
			ECC.accept_close();
		});
	},
	checkCategories:function()
	{	
		var eccAllowedCategories =  [];
		var ecc_categories = {};
		jQuery('.ecc-user-preference-checkbox').each(function()
		{	var status=false;
			ecc_chkbox_elm=jQuery(this);
			ecc_chkbox_data_id=ecc_chkbox_elm.attr('data-id');
			ecc_chkbox_data_id=ecc_chkbox_data_id.replace('checkbox-','');
			ecc_chkbox_data_id_trimmed=ecc_chkbox_data_id.replace('-','_')
    		if(jQuery(ecc_chkbox_elm).is(':checked'))
        	{
				status=true;
				eccAllowedCategories.push(ecc_chkbox_data_id);
			}
			
			ecc_categories[ecc_chkbox_data_id_trimmed]= status;
		});
		ECC.allowedCategories = eccAllowedCategories;
	},
	evdplcookieinfoRunCallBacks:function()
	{		
		this.checkCategories();
		if(ECC_Cookie.read(ECC_ACCEPT_COOKIE_NAME)=='yes')		
    	{	
			if("function" == typeof EvdplCookieinfo_Accept_Callback){
				EvdplCookieinfo_Accept_Callback(); 
			}
		}
	},
	generateConsent:function()
	{	
		var preferenceCookie = ECC_Cookie.read(ECC_PREFERNCE_COOKIE);
		eccConsent = {};
		if(preferenceCookie !== null) {
			eccConsent = window.atob(preferenceCookie);
			eccConsent = JSON.parse(eccConsent);
		}
		eccConsent.ver = Cli_Data.consentVersion;
		categories = [];
		jQuery('.ecc-user-preference-checkbox').each(function(){
			categoryVal = '';
			ecc_chkbox_data_id = jQuery(this).attr('data-id');
			ecc_chkbox_data_id = ecc_chkbox_data_id.replace('checkbox-','');
			if(jQuery(this).is(':checked'))
        	{	
				categoryVal = true;
			}
			else	
        	{		
				categoryVal = false;
			}
			eccConsent[ecc_chkbox_data_id] = categoryVal;
		});
		eccConsent = JSON.stringify(eccConsent);
		eccConsent = window.btoa(eccConsent);
		ECC_Cookie.set(ECC_PREFERNCE_COOKIE,eccConsent,ECC_ACCEPT_COOKIE_EXPIRE);
	},
	addStyleAttribute:function()
	{
		var bar=this.bar_elm;
		var styleClass='';
		if(jQuery(bar).find('.ecc-bar-container').length > 0)
		{
			styleClass	=	jQuery('.ecc-bar-container').attr('class');
			styleClass	=	styleClass.replace('ecc-bar-container','');
			styleClass	=	styleClass.trim();
			jQuery(bar).attr('data-ecc-style',styleClass);
		}
	},
	getParameterByName: function( name, url ) {
		if (!url) url = window.location.href;
		name = name.replace(/[\[\]]/g, '\\$&');
		var regex = new RegExp('[?&]' + name + '(=([^&#]*)|&|#|$)'),
			results = regex.exec(url);
		if (!results) return null;
		if (!results[2]) return '';
		return decodeURIComponent(results[2].replace(/\+/g, ' '));
	},
	EvdplCookieinfo_Callback: function( enableBar, enableBlocking ) {
		enableBar = typeof enableBar !== 'undefined' ? enableBar : true;
		enableBlocking = typeof enableBlocking !== 'undefined' ? enableBlocking : true;
		if( ECC.js_blocking_enabled === true && Boolean( Cli_Data.custom_integration ) === true ) {
			eccBlocker.cookieBar( enableBar );
			eccBlocker.runScripts( enableBlocking );
		}
	},
	checkifStyleAttributeExist: function() 
	{	
		var exist = false;
		var attr = this.bar_elm.attr('data-ecc-style');
		if (typeof attr !== typeof undefined && attr !== false) {
			exist = true;
		}
		return exist;
	},
	reviewConsent : function()
	{	
		jQuery(document).on('click','.ecc_manage_current_consent,.wt-ecc-manage-consent-link',function(){
			ECC.displayHeader();
		});
	},
	mayBeSetPreferenceCookie: function() {
		if( ECC.getParameterByName('ecc_bypass') === "1" ) {
			ECC.generateConsent();
		}
	}
}
var eccBlocker = 
{   
	blockingStatus: true,
	scriptsLoaded: false,
	ccpaEnabled : false,
	ccpaRegionBased : false,
	ccpaApplicable : false,
	ccpaBarEnabled: false,
	eccShowBar: true ,
	isBypassEnabled: ECC.getParameterByName('ecc_bypass'),
	checkPluginStatus: function(callbackA , callbackB )
	{	
		this.ccpaEnabled = Boolean( Cli_Data.ccpaEnabled );
		this.ccpaRegionBased = Boolean( Cli_Data.ccpaRegionBased );
		this.ccpaBarEnabled = Boolean( Cli_Data.ccpaBarEnabled );
		
		if( Boolean( Cli_Data.custom_integration ) === true ) {
			callbackA( false );
		} 
		else {
			if( this.ccpaEnabled === true ) {
				this.ccpaApplicable = true;
				if( Cli_Data.ccpaType === 'ccpa') {
					if( this.ccpaBarEnabled !== true ) {
						this.eccShowBar = false;
						this.blockingStatus = false;
					}
				}
			} else {
				jQuery('.wt-ecc-ccpa-opt-out,.wt-ecc-ccpa-checkbox,.wt-ecc-ccpa-element').remove();
			}
			if ( eccBlocker.isBypassEnabled === "1") {
				eccBlocker.blockingStatus = false;
			}
			callbackA( this.eccShowBar );
			callbackB( this.blockingStatus);
		}
		
		
	},
	cookieBar: function( showbar )
	{	
		showbar = typeof showbar !== 'undefined' ? showbar : true;
		eccBlocker.eccShowBar = showbar;
		if(eccBlocker.eccShowBar === false)
		{
			ECC.bar_elm.hide();
			ECC.showagain_elm.hide();
			ECC.settingsModal.removeClass('ecc-blowup ecc-out');
			ECC.hidePopupOverlay();
			jQuery(".ecc-settings-overlay").removeClass("ecc-show");
		}	
		else
		{
			if(!ECC_Cookie.exists(ECC_ACCEPT_COOKIE_NAME)) 
			{	
				ECC.displayHeader();
			}
			else
			{
				ECC.hideHeader();
			}
		}
	},
	removeCookieByCategory : function() 
	{	

		if(eccBlocker.blockingStatus === true)
		{	
			if(ECC_Cookie.read(ECC_ACCEPT_COOKIE_NAME) !== null)
			{
				var non_necessary_cookies = Cli_Data.non_necessary_cookies;
				for (var key in non_necessary_cookies) {
					currentCategory = key;
					if(ECC.allowedCategories.indexOf(currentCategory) === -1)
					{	
						var nonNecessaryCookies = non_necessary_cookies[currentCategory];
						for(var i=0; i < nonNecessaryCookies.length; i++)
						{	
							if(ECC_Cookie.read(nonNecessaryCookies[i]) !== null)
							{	
								ECC_Cookie.erase(nonNecessaryCookies[i]);
							}

						}
					}
				}
			}
		}
	},
    runScripts:function( blocking )
	{		
		blocking = typeof blocking !== 'undefined' ? blocking : true;
		eccBlocker.blockingStatus = blocking;
		srcReplaceableElms = ['iframe','IFRAME','EMBED','embed','OBJECT','object','IMG','img'];
		var genericFuncs = 
		{	
			
			renderByElement: function( callback )
			{	
				eccScriptFuncs.renderScripts();
				callback();
				eccBlocker.scriptsLoaded = true;
			},

		};
		var eccScriptFuncs = 
		{
			// trigger DOMContentLoaded
			scriptsDone:function() 
			{	
				if (typeof Cli_Data.triggerDomRefresh !== 'undefined') {
					if( Boolean( Cli_Data.triggerDomRefresh ) === true ) 
					{	
						var DOMContentLoadedEvent = document.createEvent('Event')
						DOMContentLoadedEvent.initEvent('DOMContentLoaded', true, true)
						window.document.dispatchEvent(DOMContentLoadedEvent);
					}
				}
			},
			seq :function(arr, callback, index) {
				// first call, without an index
				if (typeof index === 'undefined') {
				  index = 0
				}
			  
				arr[index](function () {
				  index++
				  if (index === arr.length) {
					callback()
				  } else {
					eccScriptFuncs.seq(arr, callback, index)
				  }
				})
			  },
			/* script runner */
			insertScript:function($script,callback) {
				var s ='';
				var scriptType = $script.getAttribute('data-ecc-script-type');
				var elementPosition = $script.getAttribute('data-ecc-element-position');
				var isBlock = $script.getAttribute('data-ecc-block');
				var s = document.createElement('script');
				var ccpaOptedOut = eccBlocker.ccpaOptedOut();
				s.type = 'text/plain';
				if($script.async)
				{
					s.async = $script.async;
				}
				if($script.defer)
				{
					s.defer = $script.defer;
				}
				if ($script.src) {
					s.onload = callback
					s.onerror = callback
					s.src = $script.src
				} else {
					s.textContent = $script.innerText
				}
				var attrs = jQuery($script).prop("attributes");
				for (var ii = 0; ii < attrs.length; ++ii) {
					if (attrs[ii].nodeName !== 'id') {
						s.setAttribute(attrs[ii].nodeName,attrs[ii].value);
					}
				}
				if(eccBlocker.blockingStatus === true)
				{	
					
					if(( ECC_Cookie.read(ECC_ACCEPT_COOKIE_NAME)=='yes' && ECC.allowedCategories.indexOf(scriptType) !== -1 ) )
					{
						s.setAttribute('data-ecc-consent','accepted');
						s.type = 'text/javascript';
					}
					if( eccBlocker.ccpaApplicable === true ) {
						if( ccpaOptedOut === true || ECC_Cookie.read(ECC_ACCEPT_COOKIE_NAME) == null ) {
							s.type = 'text/plain';
						}
					}
				}
				else
				{
					s.type = 'text/javascript';
				}
				
				if($script.type != s.type)
				{
					if(elementPosition === 'head') {	
						document.head.appendChild(s);
					} else {	
						document.body.appendChild(s);
					}
					if (!$script.src) {
						callback()
					}		
					$script.parentNode.removeChild($script);
					
				} 
				else {

					callback();
				}
			},
			renderScripts:function()
			{	
				var $scripts = document.querySelectorAll('script[data-ecc-class="ecc-blocker-script"]');
				if($scripts.length > 0)
				{
					var runList = []
					var typeAttr
					Array.prototype.forEach.call($scripts, function ($script) {
						// only run script tags without the type attribute
						// or with a javascript mime attribute value
						typeAttr = $script.getAttribute('type')
						runList.push(function (callback) {
							eccScriptFuncs.insertScript($script, callback)
						})
					})
					eccScriptFuncs.seq(runList, eccScriptFuncs.scriptsDone);
				}
			}
		};
		genericFuncs.renderByElement( eccBlocker.removeCookieByCategory );
	},
	ccpaOptedOut : function () {
		var ccpaOptedOut = false;
		var preferenceCookie = ECC_Cookie.read(ECC_PREFERNCE_COOKIE);
		if( preferenceCookie !== null ) {
			eccConsent = window.atob(preferenceCookie);
			eccConsent = JSON.parse(eccConsent);
           if( typeof eccConsent.ccpaOptout !== 'undefined') {
			ccpaOptedOut =  eccConsent.ccpaOptout;
		   }
		}
		return ccpaOptedOut;
	}
}
jQuery(document).ready(function() {
    if(typeof ecc_cookiebar_settings!='undefined')
    {	
	    ECC.set({
	      settings:ecc_cookiebar_settings
		});
		if( ECC.js_blocking_enabled === true ) {
			eccBlocker.checkPluginStatus(eccBlocker.cookieBar,eccBlocker.runScripts);
		}
	}
});